Subject: Re: [PATCH v2 1/3] refs.c: make "repo_default_branch_name" static, remove xstrfmt()

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Oct 2021 16:26:27 -0700

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> In addition the xstrfmt() to get the "full_ref" in the same commit
> isn't needed, we can use the "REFNAME_ALLOW_ONELEVEL" flag to
> check_refname_format() instead.

Reading the code of check_refname_format(), I do not think one-level
is the only thing that the prefixing of refs/heads/ is defeating,
and more importantly, I'd expect that this will block later changes
like enforcing "HEAD might be OK in onelevel because we want to keep
.git/HEAD working, but we do not like refs/heads/HEAD" at this level
to enhance usability from happening.

Making the function file-local static is a good thing to do, though.